RStudio Connect on Ubuntu 19.10 (Eoan)

February 4, 2020 @rundel Colin Rundel

@rundel wrote:

I am attempting to install RStudio Connect on an Ubuntu 19.10 system via the latest deb file (rstudio-connect_1.8.0.1-14_amd64.deb) and I am running into an issue with libssl.

The package depends on either libssl1.0.0 or libssl1.0.2 which is has not been available since 18.10, I understand the focus on just supporting the LTS releases but I was hoping someone would have a workaround. It also seems like RSP has been supporting these more recent releases with both the stable and preview releases for awhile now.

~$ sudo apt install ./rstudio-connect_1.8.0.1-14_amd64.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'rstudio-connect' instead of './rstudio-connect_1.8.0.1-14_amd64.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 rstudio-connect : Depends: libssl1.0.0 but it is not installable or
                            libssl1.0.2 but it is not installable
E: Unable to correct problems, you have held broken packages.

Posts: 3

Participants: 2

Read full topic

Previous Article
pins - rstudio connect - usernames
pins - rstudio connect - usernames

@schuffr wrote: Hello, I am trying out the pins package with RStudio Connect and...

Next Article
Can I schedule an app on R Studio Connect based on the result of another program?
Can I schedule an app on R Studio Connect based on the result of another program?

@MiraLS wrote: Hello All, I'd like to have my app run after the daily data refre...